Retrieve a payment method | Moov Documentation
Retrieve a payment method
Get the specified payment method associated with a Moov account. Read our payment methods guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/payment-methods.read scope.
GET
/accounts/{accountID}/payment-methods/{paymentMethodID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-methods/{paymentMethodID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var paymentMethodID string
mc.GetPaymentMethod(ctx, accountID, paymentMethodID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentMethods.get({
accountID: "56878537-30b0-48ee-9c54-07ab3a8b243d",
paymentMethodID: "aa740bf3-4c5f-459b-9370-4f7d4bea382b",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->paymentMethods->get(
accountID: '56878537-30b0-48ee-9c54-07ab3a8b243d',
paymentMethodID: 'aa740bf3-4c5f-459b-9370-4f7d4bea382b'
);
if ($response->paymentMethod !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.PaymentMethod;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetPaymentMethodResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetPaymentMethodResponse res = sdk.paymentMethods().get()
.accountID("56878537-30b0-48ee-9c54-07ab3a8b243d")
.paymentMethodID("aa740bf3-4c5f-459b-9370-4f7d4bea382b")
.call();
if (res.paymentMethod().isPresent()) {
PaymentMethod unionValue = res.paymentMethod().get();
switch (unionValue.paymentMethodType()) {
case "moov-wallet":
// Handle moov-wallet discriminator variant
break;
case "ach-debit-fund":
// Handle ach-debit-fund discriminator variant
break;
case "ach-debit-collect":
// Handle ach-debit-collect discriminator variant
break;
case "ach-credit-standard":
// Handle ach-credit-standard discriminator variant
break;
case "ach-credit-same-day":
// Handle ach-credit-same-day discriminator variant
break;
case "rtp-credit":
// Handle rtp-credit discriminator variant
break;
case "card-payment":
// Handle card-payment discriminator variant
break;
case "push-to-card":
// Handle push-to-card discriminator variant
break;
case "pull-from-card":
// Handle pull-from-card discriminator variant
break;
case "apple-pay":
// Handle apple-pay discriminator variant
break;
case "card-present-payment":
// Handle card-present-payment discriminator variant
break;
case "instant-bank-credit":
// Handle instant-bank-credit discriminator variant
break;
case "push-to-apple-pay":
// Handle push-to-apple-pay discriminator variant
break;
case "pull-from-apple-pay":
// Handle pull-from-apple-pay discriminator variant
break;
case "google-pay":
// Handle google-pay discriminator variant
break;
case "push-to-google-pay":
// Handle push-to-google-pay discriminator variant
break;
case "pull-from-google-pay":
// Handle pull-from-google-pay discriminator variant
break;
default:
// Handle unknown discriminator variant
}
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.payment_methods.get(account_id="56878537-30b0-48ee-9c54-07ab3a8b243d", payment_method_id="aa740bf3-4c5f-459b-9370-4f7d4bea382b")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.payment_methods.get(account_id: '56878537-30b0-48ee-9c54-07ab3a8b243d', payment_method_id: 'aa740bf3-4c5f-459b-9370-4f7d4bea382b')
unless res.payment_method.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.PaymentMethods.GetAsync(
accountID: "56878537-30b0-48ee-9c54-07ab3a8b243d",
paymentMethodID: "aa740bf3-4c5f-459b-9370-4f7d4bea382b"
);
// handle response
The request completed successfully.
Ask
Example
A method of moving money
{
"paymentMethodID": "string",
"paymentMethodType": "moov-wallet",
"wallet": {
"walletID": "string",
"partnerAccountID": "string",
"walletType": "default"
}
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
A method of moving money
ID of the payment method.
Possible values:
moov-wallet
Show child attributes
Type of a wallet.
default: The system-generated wallet automatically created when an account is granted the wallet capability.general: An additional, user-defined wallet created via API or Dashboard.
Possible values:
default,
general
A bank account as contained within a payment method.
Show child attributes
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Possible values:
new,
verified,
verificationFailed,
pending,
errored
ID of the payment method.
Possible values:
ach-debit-fund
A bank account as contained within a payment method.
Show child attributes
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Possible values:
new,
verified,
verificationFailed,
pending,
errored
ID of the payment method.
Possible values:
ach-debit-collect
A bank account as contained within a payment method.
Show child attributes
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Possible values:
new,
verified,
verificationFailed,
pending,
errored
ID of the payment method.
Possible values:
ach-credit-standard
A bank account as contained within a payment method.
Show child attributes
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Possible values:
new,
verified,
verificationFailed,
pending,
errored
ID of the payment method.
Possible values:
ach-credit-same-day
A bank account as contained within a payment method.
Show child attributes
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Possible values:
new,
verified,
verificationFailed,
pending,
errored
ID of the payment method.
Possible values:
rtp-credit
A card as contained within a payment method.
Show child attributes
The billing address associated with the card.
Show child attributes
Street address line 1.
Street address line 2 (e.g., apartment or suite number).
City name.
Two-letter ISO 3166-1 country code.
Postal or ZIP code.
Two-letter state or province code.
The first six to eight digits of the card number, which identifies the financial institution that issued the card.
The card brand.
Possible values:
American Express,
Discover,
Mastercard,
Visa,
Unknown
ID of the card.
The type of the card.
Possible values:
debit,
credit,
prepaid,
unknown
The results of submitting cardholder data to a card network for verification.
Show child attributes
Verification result of the billing address line 1.
Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the card's CVV.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the billing address postal code.
Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
The expiration date of the card or token.
Show child attributes
Two-digit month the card expires.
Two-digit year the card expires.
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.
Last four digits of the card number
The results of the most recent card update request.
Show child attributes
The results of the card update request.
Possible values:
unspecified,
account-closed,
contact-cardholder,
expiration-update,
no-change,
no-match,
number-update
Timestamp from the card network indicating when the card update was processed.
The category or level of the card defined by the issuer. Examples include, but not limited to, "REWARDS", "TRADITIONAL REWARDS", "CLASSIC", and "CORPORATE PURCHASING".
Indicates cardholder has authorized the card to be stored for future payments.
Indicates if the card supports domestic pull-from-card transfer.
Possible values:
not-supported,
supported,
unknown
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values:
not-supported,
standard,
fast-funds,
unknown
The name of the cardholder as it appears on the card.
Financial institution that issued the card.
Country where the card was issued.
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.
ID of the payment method.
Possible values:
push-to-card
A card as contained within a payment method.
Show child attributes
The billing address associated with the card.
Show child attributes
Street address line 1.
Street address line 2 (e.g., apartment or suite number).
City name.
Two-letter ISO 3166-1 country code.
Postal or ZIP code.
Two-letter state or province code.
The first six to eight digits of the card number, which identifies the financial institution that issued the card.
The card brand.
Possible values:
American Express,
Discover,
Mastercard,
Visa,
Unknown
ID of the card.
The type of the card.
Possible values:
debit,
credit,
prepaid,
unknown
The results of submitting cardholder data to a card network for verification.
Show child attributes
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the card's CVV.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values:
noMatch,
match,
notChecked,
unavailable,
partialMatch
The expiration date of the card or token.
Show child attributes
Two-digit month the card expires.
Two-digit year the card expires.
Last four digits of the card number
The results of the most recent card update request.
Show child attributes
The results of the card update request.
Possible values:
unspecified,
account-closed,
contact-cardholder,
expiration-update,
no-change,
no-match,
number-update
Timestamp from the card network indicating when the card update was processed.
Indicates cardholder has authorized the card to be stored for future payments.
Indicates if the card supports domestic pull-from-card transfer.
Possible values:
not-supported,
supported,
unknown
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values:
not-supported,
standard,
fast-funds,
unknown
The name of the cardholder as it appears on the card.
Financial institution that issued the card.
Country where the card was issued.
ID of the payment method.
Possible values:
pull-from-card
Describes an Apple Pay token on a Moov account.
Show child attributes
The card brand.
Possible values:
American Express,
Discover,
Mastercard,
Visa,
Unknown
User-friendly name of the tokenized card returned by Apple. Usually contains the brand and the last four digits of the underlying card. There is no standard format.
The type of the card.
Possible values:
debit,
credit,
prepaid,
unknown
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.
The expiration date of the card or token.
Show child attributes
Two-digit month the card expires.
Two-digit year the card expires.
Country where the underlying card was issued.
ID of the payment method.
Possible values:
apple-pay
A card used at point of sale terminal for a card present transaction as contained within a payment method.